camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: ActiveMQ route not responding
Date Wed, 19 Sep 2012 06:18:55 GMT
Hi

You have mixed Spring versions in your pom.xml. I just spotted Spring 2.5.6
   <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring</artifactId>
      <version>2.5.6</version>
    </dependency>

You need Spring 3.0+ only.

You can run from command line
mvn dependency:tree
or
mvn dependency:list

To see all your JAR deps. Then you can spot mixed version issues etc.


On Tue, Sep 18, 2012 at 11:16 PM, fbotti <fbotti@gmail.com> wrote:
> Hi guys! Thanks for the responses. I believe that is a problem of the jars in
> the pom but I still can't figure out why.
> Here is my pom:
>
> <?xml version="1.0" encoding="UTF-8"?>
>
> <project xmlns="http://maven.apache.org/POM/4.0.0"
>                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>                  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
>                                                          http://maven.apache.org/maven-v4_0_0.xsd">
>
>   <modelVersion>4.0.0</modelVersion>
>
>   <groupId>ar.com.gobhub-onti</groupId>
>   <artifactId>gobhub-onti</artifactId>
>   <packaging>bundle</packaging>
>   <version>1.0.0-SNAPSHOT</version>
>
>   <name>CXF Route ONTI</name>
>   <url>http://www.gobhub.com.ar</url>
>
>   <properties>
>     <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
>
> <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
>     <cxf.version>2.5.0.fuse-7-061</cxf.version>
>     <activemq.version>3.2.4</activemq.version>
>     <activemq.libs.version>5.5.1.fuse-7-061</activemq.libs.version>
>   </properties>
>
>   <repositories>
>     <repository>
>       <id>release.fusesource.org</id>
>       <name>FuseSource Release Repository</name>
>
> <url>http://repo.fusesource.com/nexus/content/repositories/releases</url>
>       <snapshots>
>         <enabled>false</enabled>
>       </snapshots>
>       <releases>
>         <enabled>true</enabled>
>       </releases>
>     </repository>
>     <repository>
>       <id>snapshot.fusesource.org</id>
>       <name>FuseSource Snapshot Repository</name>
>
> <url>http://repo.fusesource.com/nexus/content/repositories/snapshots</url>
>       <snapshots>
>         <enabled>true</enabled>
>       </snapshots>
>       <releases>
>         <enabled>false</enabled>
>       </releases>
>     </repository>
>     <repository>
>       <id>ea.fusesource.org</id>
>       <name>FuseSource Early Access Repository</name>
>       <url>http://repo.fusesource.com/nexus/content/groups/ea</url>
>       <snapshots>
>         <enabled>false</enabled>
>       </snapshots>
>       <releases>
>         <enabled>true</enabled>
>       </releases>
>     </repository>
>   </repositories>
>
>   <pluginRepositories>
>     <pluginRepository>
>       <id>release.fusesource.org</id>
>       <name>FuseSource Release Repository</name>
>
> <url>http://repo.fusesource.com/nexus/content/repositories/releases</url>
>       <snapshots>
>         <enabled>false</enabled>
>       </snapshots>
>       <releases>
>         <enabled>true</enabled>
>       </releases>
>     </pluginRepository>
>     <pluginRepository>
>       <id>snapshot.fusesource.org</id>
>       <name>FuseSource Snapshot Repository</name>
>
> <url>http://repo.fusesource.com/nexus/content/repositories/snapshots</url>
>       <snapshots>
>         <enabled>true</enabled>
>       </snapshots>
>       <releases>
>         <enabled>false</enabled>
>       </releases>
>     </pluginRepository>
>     <pluginRepository>
>       <id>ea.fusesource.org</id>
>       <name>FuseSource Early Access Repository</name>
>       <url>http://repo.fusesource.com/nexus/content/groups/ea</url>
>       <snapshots>
>         <enabled>false</enabled>
>       </snapshots>
>       <releases>
>         <enabled>true</enabled>
>       </releases>
>     </pluginRepository>
>   </pluginRepositories>
>
>   <dependencies>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>camel-core</artifactId>
>       <version>2.9.0.fuse-7-061</version>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>camel-core-osgi</artifactId>
>       <version>2.9.0.fuse-7-061</version>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>camel-core-xml</artifactId>
>       <version>2.9.0.fuse-7-061</version>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>camel-spring</artifactId>
>       <version>2.9.0.fuse-7-061</version>
>     </dependency>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>camel-spring</artifactId>
>       <version>2.9.0.fuse-7-061</version>
>     </dependency>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring</artifactId>
>       <version>2.5.6</version>
>     </dependency>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring-context</artifactId>
>       <version>3.0.7.RELEASE</version>
>     </dependency>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring-beans</artifactId>
>       <version>3.0.7.RELEASE</version>
>     </dependency>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring-aop</artifactId>
>       <version>3.0.7.RELEASE</version>
>     </dependency>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring-tx</artifactId>
>       <version>3.0.7.RELEASE</version>
>     </dependency>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring-core</artifactId>
>       <version>3.0.7.RELEASE</version>
>     </dependency>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring-test</artifactId>
>       <version>3.0.7.RELEASE</version>
>     </dependency>
>
>
>
>     <dependency>
>                 <groupId>org.apache.camel</groupId>
>                 <artifactId>camel-cxf</artifactId>
>                 <version>2.9.0.fuse-7-061</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.camel</groupId>
>                 <artifactId>camel-cxf-transport</artifactId>
>                 <version>2.9.0.fuse-7-061</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-api</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-bindings-soap</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-bindings-xml</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>     <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-core</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-databinding-jaxb</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-frontend-jaxrs</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-frontend-jaxws</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-frontend-simple</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-transports-http</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-transports-http-jetty</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-ws-addr</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.cxf</groupId>
>                 <artifactId>cxf-rt-ws-policy</artifactId>
>                 <version>${cxf.version}</version>
>         </dependency>
>         <dependency>
>                 <groupId>commons-logging</groupId>
>                 <artifactId>commons-logging</artifactId>
>                 <version>1.1.1</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.neethi</groupId>
>                 <artifactId>neethi</artifactId>
>                 <version>3.0.2</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.ws.xmlschema</groupId>
>                 <artifactId>xmlschema-core</artifactId>
>                 <version>2.0.2</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.codehaus.woodstox</groupId>
>                 <artifactId>stax2-api</artifactId>
>                 <version>3.1.1</version>
>         </dependency>
>         <dependency>
>                 <groupId>wsdl4j</groupId>
>                 <artifactId>wsdl4j</artifactId>
>                 <version>1.6.2</version>
>         </dependency>
>         <dependency>
>                 <groupId>aopalliance</groupId>
>                 <artifactId>aopalliance</artifactId>
>                 <version>1.0</version>
>         </dependency>
>         <dependency>
>                 <groupId>asm</groupId>
>                 <artifactId>asm</artifactId>
>                 <version>3.3.1</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.geronimo.specs</groupId>
>                 <artifactId>geronimo-servlet_2.5_spec</artifactId>
>                 <version>1.1.2</version>
>         </dependency>
>         <dependency>
>                 <groupId>org.apache.geronimo.specs</groupId>
>                 <artifactId>geronimo-javamail_1.4_spec</artifactId>
>                 <version>1.7.1</version>
>         </dependency>
>
>         <dependency>
>                 <groupId>org.hamcrest</groupId>
>                 <artifactId>hamcrest-core</artifactId>
>                 <version>1.1</version>
>         </dependency>
>     <dependency>
>                 <groupId>com.sun.xml.bind</groupId>
>                 <artifactId>jaxb-impl</artifactId>
>                 <version>2.1.13</version>
>         </dependency>
>
>
>
>         <dependency>
>         <groupId>activemq</groupId>
>         <artifactId>activemq</artifactId>
>         <version>${activemq.version}</version>
>                 <exclusions>
>                   <exclusion>
>                     <groupId>activemq</groupId>
>                     <artifactId>activemq-core-test</artifactId>
>                   </exclusion>
>                   <exclusion>
>                     <groupId>activecluster</groupId>
>                     <artifactId>activecluster</artifactId>
>                   </exclusion>
>                   <exclusion>
>                     <groupId>net.java.dev.javacc</groupId>
>                     <artifactId>javacc</artifactId>
>                   </exclusion>
>                   <exclusion>
>                     <groupId>xmlbeans</groupId>
>                     <artifactId>xmlbeans-jsr173-api</artifactId>
>                   </exclusion>
>                 </exclusions>
>     </dependency>
>     <dependency>
>         <groupId>org.apache.activemq</groupId>
>         <artifactId>activemq-camel</artifactId>
>         <version>${activemq.libs.version}</version>
>     </dependency>
>     <dependency>
>         <groupId>org.apache.activemq</groupId>
>         <artifactId>activemq-pool</artifactId>
>         <version>${activemq.libs.version}</version>
>     </dependency>
>     <dependency>
>         <groupId>org.apache.camel</groupId>
>         <artifactId>camel-jms</artifactId>
>         <version>2.9.0.fuse-7-061</version>
>     </dependency>
>
>
>     <dependency>
>       <groupId>org.springframework</groupId>
>       <artifactId>spring-jms</artifactId>
>       <version>3.0.7.RELEASE</version>
>     </dependency>
>
>         <dependency>
>         <groupId>org.apache.camel</groupId>
>         <artifactId>camel-jdbc</artifactId>
>         <version>2.9.0.fuse-7-061</version>
>     </dependency>
>
>     <dependency>
>         <groupId>postgresql</groupId>
>         <artifactId>postgresql</artifactId>
>         <version>9.1-901.jdbc4</version>
>     </dependency>
>
>
>     <dependency>
>       <groupId>org.slf4j</groupId>
>       <artifactId>slf4j-api</artifactId>
>       <version>1.6.1</version>
>     </dependency>
>     <dependency>
>       <groupId>org.slf4j</groupId>
>       <artifactId>slf4j-log4j12</artifactId>
>       <version>1.6.1</version>
>     </dependency>
>     <dependency>
>       <groupId>log4j</groupId>
>       <artifactId>log4j</artifactId>
>       <version>1.2.16</version>
>     </dependency>
>
>
>     <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>camel-test</artifactId>
>       <version>2.9.0.fuse-7-061</version>
>       <scope>test</scope>
>     </dependency>
>         <dependency>
>       <groupId>org.apache.camel</groupId>
>       <artifactId>camel-test-spring</artifactId>
>       <version>2.10.0</version>
>       <scope>test</scope>
>     </dependency>
>
>          <dependency>
>       <groupId>junit</groupId>
>       <artifactId>junit</artifactId>
>       <version>4.9</version>
>       <scope>test</scope>
>     </dependency>
>
>
>   </dependencies>
>
>   <build>
>     <defaultGoal>install</defaultGoal>
>
>     <plugins>
>
>
>       <plugin>
>         <groupId>org.apache.maven.plugins</groupId>
>         <artifactId>maven-compiler-plugin</artifactId>
>         <version>2.3.2</version>
>         <configuration>
>           <source>1.6</source>
>           <target>1.6</target>
>         </configuration>
>       </plugin>
>           <plugin>
>         <groupId>org.apache.felix</groupId>
>         <artifactId>maven-bundle-plugin</artifactId>
>         <extensions>true</extensions>
>         <configuration>
>           <instructions>
>                 <Require-Bundle>org.apache.cxf.bundle</Require-Bundle>
>             <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
>             <Import-Package>
>                             javax.jws,
>                             javax.wsdl,
>                             javax.xml.bind,
>                             javax.xml.bind.annotation,
>                                 javax.xml.namespace,
>                                 javax.xml.ws,
>                                 META-INF.cxf,
>                             META-INF.cxf.osgi,
>                             org.apache.cxf.bus,
>                             org.apache.cxf.bus.spring,
>                             org.apache.cxf.bus.resource,
>                             org.apache.cxf.configuration.spring,
>                             org.apache.cxf.resource,
>                             org.apache.cxf.jaxws,
>                             org.apache.cxf.transport,
>                             org.springframework.beans.factory.config,
>                                     !org.apache.activemq;version="[5.6,6)" ,
>                                         !org.apache.activemq.advisory;version="[5.6,6)"
,
>                                         !org.apache.activemq.command;version="[5.6,6)"
,
>                                         !org.apache.activemq.jndi;version="[5.6,6)" ,
>                                         !org.apache.activemq.kaha.impl.async;version="[5.6,6)"
,
>                                         !org.apache.activemq.management;version="[5.6,6)"
,
>                                         !org.apache.activemq.spring;version="[5.6,6)"
,
>                                         !org.apache.activemq.transport;version="[5.6,6)"
,
>                                         !org.apache.activemq.util;version="[5.6,6)" ,
>                             *
>                         </Import-Package>
>           </instructions>
>         </configuration>
>       </plugin>
>
>       <plugin>
>         <groupId>org.apache.camel</groupId>
>         <artifactId>camel-maven-plugin</artifactId>
>         <version>2.9.0.fuse-7-061</version>
>       </plugin>
>     </plugins>
>   </build>
>
> </project>
>
>
> TIA
>
> Federico
>
>
>
> --
> View this message in context: http://camel.465427.n5.nabble.com/ActiveMQ-route-not-responding-tp5719447p5719551.html
> Sent from the Camel Development mailing list archive at Nabble.com.



-- 
Claus Ibsen
-----------------
FuseSource
Email: cibsen@fusesource.com
Web: http://fusesource.com
Twitter: davsclaus, fusenews
Blog: http://davsclaus.com
Author of Camel in Action: http://www.manning.com/ibsen

Mime
View raw message